Skip to main content
`Ctrl`+`K`

# PetscRegressorLinearGetKSP

Returns the `KSP` context for a `PETSCREGRESSORLINEAR` object.

## Synopsis

    #include "petscregressor.h"
    PetscErrorCode PetscRegressorLinearGetKSP(PetscRegressor regressor, KSP *ksp)

Not Collective, but if the `PetscRegressor` is parallel, then the `KSP` object is parallel

## Input Parameter

- regressor - the `PetscRegressor` context

## Output Parameter

- ksp - the `KSP` context

## Note

This routine will always return a `KSP`, but, depending on the type of the linear regressor and the options that are set, the regressor may actually use a `Tao` object instead of this `KSP`.

## See Also

`PetscRegressorGetTao()`

## Level

beginner

## Location

src/ml/regressor/impls/linear/linear.c

## Implementations

PetscRegressorLinearGetKSP_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages